/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ejbs;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.ejb.*;

/**
 *
 * @author Pablo Rodriguez Pina <pablo@anahata-it.com.au>
 */
@Stateless
@TransactionManagement(TransactionManagementType.CONTAINER)
public class StatelessBean {

    @EJB
    private JmsBean r;

    @Resource
    private EJBContext ctx;

    @Asynchronous
    @TransactionAttribute(TransactionAttributeType.REQUIRES_NEW)
    public void send() throws JmsApplicationException {
        System.out.println("Sending");
        r.sendMessages();
        try {
            System.out.println("Message sent, sleeping");
            Thread.sleep(5000L);
        } catch (Exception e) {

        }
        System.out.println("woke up");
        System.out.println("Rolling back context");
        ctx.setRollbackOnly();
        //throw new JmsApplicationException();

    }

    // Add business logic below. (Right-click in editor and choose
    // "Insert Code > Add Business Method")
}
