/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ejbs;

import javax.annotation.PostConstruct;
import javax.ejb.*;

/**
 *
 * @author Pablo Rodriguez Pina <pablo@anahata-it.com.au>
 */
@Singleton
@Startup
public class TimedBean {

    @EJB
    private StatelessBean r;

    @PostConstruct
    public void init() {
        System.out.println("NewSession init");
    }

    @Timeout
    @Schedule(dayOfMonth = "*", dayOfWeek = "*", hour = "*", minute = "*", second = "*/10", month = "*", year = "*", persistent = false)
    public void timeout() {
        System.out.println("sending message via ejb ");
        try {
            r.send();
        } catch (Exception e) {
        }

    }

    // Add business logic below. (Right-click in editor and choose
    // "Insert Code > Add Business Method")
}
